ROUND(3)

NAME
round, roundf, roundl - round to nearest integral value

SYNOPSIS
#include <math.h>
double
round(double x);
float
roundf(float x);
long double
roundl(long double x);

DESCRIPTION
The round(), roundf() and roundl() functions return the nearest integral value to x; if x lies halfway between two integral values, then these functions return the integral value with the larger absolute value (i.e., they round away from zero).

SEE ALSO
ceil(3), floor(3), lrint(3), lround(3), nextafter(3), rint(3), trunc(3)

STANDARDS
These functions conform to isoC-99.